package dev.fitko.fitconnect.client.steps.sender;

public interface EncryptedDataStep {

    /**
     * JSON data as encrypted JWE string.
     *
     * @param encryptedData encrypted json string
     * @return next step to add encrypted metadata
     */
    EncryptedMetadataStep withEncryptedJsonData(String encryptedData);

    /**
     * XML data as encrypted JWE string.
     *
     * @param encryptedData encrypted xml string
     * @return next step to add encrypted metadata
     */
    EncryptedMetadataStep withEncryptedXmlData(String encryptedData);
}
